Subject: LAD

From: [email-masked]
Date: Wed, 1 Dec 93 08:27:56 CST

Some Netter wrote:

I have two questions regarding the application for permanent residency.
Any suggestions and comments would be greatly appreciated.

1) As a LAD, I filed my application with New York INS in August and got
   the EAD card (work permission) in September. But I haven't received
   the receipt notice by now. I was told by an immigration officer that
   I should be able to receive the receipt notice in three months when
   I filed the application. But now more than 3 months has passed. It
   seems that the LADs in New York are unlucky compared with those in
   other areas. We encountered more hostility when we filed the applica-
   tion and now we have to wait more time for our receipt notices, inter-
   views (who knows when they will be.) ... Are there any fellow LADs
   in New York who share the same problems?

2) I came here with an F-2 visa. Now I'm a graduate student of NYU. I
   did get my own I-20 form from my university, but I'm not sure whether
   I should use it to change my visa status to F-1. Now that my appli-
   cation for permanent residency is pending in INS, I guess I needn't
   and shouldn't apply for the F-1 visa because it's for those who don't
   want to abandon his former permanent residence. Is it right?

Thanks again for any suggestions and comments.

###########################################################################

The following info. is just FYI.

1. You are not alone.  Almost all LADs in Kansas area have not received
   anything from Kansas city INS.  The thing is many lucky LADs put some
   info. on this net while most unlucky ones keep quiet on the net, so it
   seems most LADs have got an interview or a approval but unfortunately it
   is not true. As I know, a lot of LADs have not got anything from the
   local INS since sending the applications.

2. You are right. The F visa holders do NOT allow to have dual intentions.
   i.e. either keep your nonimmigration F visa without applying PR or apply
   PR but the F visa will be gone automatically.

   LX